Ticket #41362

ファイル→開くの挙動が2.xから変わった

Open Date: 2021-01-29 00:09 Last Update: 2021-02-05 21:15

Reporter:
Owner:
Status:
Closed
Component:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

起動時にセーブデータを読みこむためにファイル→開くとすると、 2.xでは.\lib\saveが開かれるが、 3.xではhengband.exeが最後に開いたpathに飛ばされる模様。

3.xを遊んだ後で2.xを遊び、再び3.xを遊ぶと誤って2.xのセーブデータを開いてしまう。 従来の相対パス.\lib\saveを開いて欲しい。

Ticket History (3/6 Histories)

2021-01-29 00:09 Updated by: daradarach
  • New Ticket "ファイル→開くの挙動が2.xから変わった" created
2021-01-29 19:46 Updated by: deskull
Comment

個人としてはいじった記憶がないのでとりあえず確認の上で判断します。

2021-02-04 12:06 Updated by: dis-
Comment

調査の結果、2.x→3.xでの変更が原因ではないことが分かりました。

3.xを開いてセーブファイルを選択してから2.xを開いた場合も同様に最後に開いたパスが参照されています。

どうやらMSの仕様変更が根本原因のようです。

https://docs.microsoft.com/ja-jp/windows/win32/api/commdlg/ns-commdlg-openfilenamea?redirectedfrom=MSDN

踏まえて、hengband側でどう仕様変更に対応するか検討します。

2021-02-05 00:24 Updated by: dis-
Comment

https://osdn.net/projects/hengband/scm/git/hengband/commits/38f0934fdd5787957496982bacce410448ff0078

INIファイルに前回選択したセーブファイルの記録を残す方向で修正しました。 動作確認して問題なければマージをお願いします。

(Edited, 2021-02-05 00:24 Updated by: dis-)
2021-02-05 21:15 Updated by: deskull
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login